//###################### COMMON.H
// Copyright 2016 Tadd Torborg -- I grant the right to modify and sell products using this sourcecode.  
//I insist you put my copyright notice and this line in every sourcecode file included in any project which uses my PWRMAN software. 
// If you do manage to construct or produce 2 or more devices based on this source code, please send an email to me at tadd@mac.com
//  Thanks!! 
// Source code by Tadd Torborg, ham-radio callsign KA2DEW, for PWRMAN power controller -- runs on TI MSP430F2012 CPU.
// Concept by Tadd Torborg.  Board design, layout, stuffed, and maintained by Stephen Snell, ham-radio callsign W4RFQ
// PWRMAN operation is documented on the TARPN web site.  See  http://tarpn.net/pwrman
// I compiled and debugged this project using IAR's EW430 version 5.

#define WATCHDOG_WORD     (WDTPW + WDTHOLD)   // WDTPW + WDTCNTCL + WDTSSEL



#define TRUE  1
#define FALSE 0

#define YES 1
#define NO  0

#define ON  1
#define OFF 0

#define ESC 0x1B

//return values for 'boolean' functions
#define ERROR     1
#define NO_ERROR  0
#define BAD_VALUE 0xFFFE

//used for port direction bit
#define OUTPUT 1
#define INPUT  0

#define TRANSMIT 1
#define RECEIVE  0

#define ENABLED  1
#define ENABLE   1
#define DISABLED 0
#define DISABLE  0

//used for port select bit
#define PERIPHERAL 1
#define GPIO       0


//for interrupt edge trigger selection
#define FALLING_EDGE 1
#define RISING_EDGE  0

#define HI           1
#define LO           0

