// Copyright 2016 Tadd Torborg -- I grant the right to modify and sell products using this sourcecode.  
//I insist you put my copyright notice and this line in every sourcecode file included in any project which uses my PWRMAN software. 
// If you do manage to construct or produce 2 or more devices based on this source code, please send an email to me at tadd@mac.com
//  Thanks!! 
// Source code by Tadd Torborg, ham-radio callsign KA2DEW, for PWRMAN power controller -- runs on TI MSP430F2012 CPU.
// Concept by Tadd Torborg.  Board design, layout, stuffed, and maintained by Stephen Snell, ham-radio callsign W4RFQ
// PWRMAN operation is documented on the TARPN web site.  See  http://tarpn.net/pwrman
// I compiled and debugged this project using IAR's EW430 version 5.

//How many PWRMAN MSP430 mainloop cycles can pass without a change in the HelloToggle output before we give up on the Raspberry PI:
#define PI_HELLO_HALFCYCLE_TIMEOUT_INIT 30

#define REQUIRED_PI_HELLO_GOOD_TRANSITIONS_FOR_CONFIDENCE 4

// This variable is written to by UpdatePiHelloToggle.  If it is >= REQUIRED, then the Raspberry PI is expected to be running the PWRMAN manager program on its CPU.
extern unsigned int piHelloToggle_GoodTransitionsInARow_G;


extern void UpdatePiHelloToggle(void);
extern void InitPiHelloToggle(void);

